Autor Wątek: Despy - przeglądarka stylów DSP  (Przeczytany 1385 razy)

0 użytkowników i 1 Gość przegląda ten wątek.

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Despy - przeglądarka stylów DSP
« dnia: Sierpień 29, 2015, 21:11:41 »
PKGBUILD
# Maintainer: pavbaranov

pkgname=despy-git
pkgver=r11.6579d7e
pkgrel=1
pkgdesc="Preview the current DSP settings"
arch=('i686' 'x86_64')
url="http://phobi4n.deviantart.com/art/StyleProject-Settings-Manager-556516470"
license=('GPL')
depends=('qt5-base')
makedepends=('qt5-base')
source=('git+https://github.com/magpie240/despy')
sha1sums=('SKIP')
_gitname="despy"

pkgver() {
  cd "${_gitname}"
  printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
  }

prepare() {
  rm -fr build
  mkdir -p build
}

build() {
  cd build
  qmake-qt5 PREFIX=/usr ../${_gitname}
  make
}

package() {
  install -Dm755 build/despy ${pkgdir}/usr/bin/despy
}
« Ostatnia zmiana: Sierpień 30, 2015, 09:10:13 wysłana przez pavbaranov »

 

Polityka cookies
Darmowe Fora | Darmowe Forum
wojownicyburzy jezyki2 pack-of-black-and-white filtrowa36 pupek